//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine science & computing) 
// February 2002
//
// $Id: listccf.cc,v 1.1 2002/02/01 10:53:16 gvacanti Exp $
#include <iostream>
#include <Dal.h>

// list the contents of a cif to stdout

int main(int argc, char * argv[])
{
  if(argc != 2)
    exit(1);

  DataSet * set = dataSetServer->open(argv[1], Dal::Read);
  Table * tab = set->table("CALINDEX");
  Column * col = tab->column("FNAME");
  for(unsigned k=0; k<col->rows(); ++k){
    ColumnData * cd = col->rowData(k);
    std::cout << cd->stringData() << std::endl;
    delete cd;
  }
  dataSetServer->close(set);
}
